import React from 'react';
import type { Props as LabelProps } from './Label';
export declare type StyleObject = {
    [key: string]: string | number;
};
export declare type EventHandler = (event: React.MouseEvent, data: Data, dataIndex: number) => void;
declare type LabelPropAsReactElement = React.ReactElement<LabelProps>;
declare type LabelPropAsFunction = (labelProps: LabelProps) => number | string | React.ReactElement;
export declare type LabelProp = boolean | LabelPropAsReactElement | LabelPropAsFunction;
export declare type DataEntry = {
    title?: string | number;
    color: string;
    value: number;
    key?: string | number;
    style?: StyleObject;
    [key: string]: any;
};
declare type ExtendedDataEntry = DataEntry & {
    degrees: number;
    startOffset: number;
    percentage: number;
};
export declare type Data = DataEntry[];
export declare type ExtendedData = ExtendedDataEntry[];
export {};
